/*
 * このソースコードは blanco Frameworkにより自動生成されました。
 */
package blanco.html.parser.valueobject;

/**
 * HTMLパースで利用するアトリビュートをあらわすバリューオブジェクトです。
 */
public class BlancoHtmlAttribute {
    /**
     * 属性のローカル名。
     *
     * フィールド: [name]。
     */
    private String fName;

    /**
     * 属性の値。
     *
     * フィールド: [value]。
     */
    private String fValue;

    /**
     * 0:なし、1:シングルクオート、2:ダブルクオート
     *
     * フィールド: [quote]。
     * デフォルト: [2]。
     */
    private int fQuote = 2;

    /**
     * フィールド [name] の値を設定します。
     *
     * フィールドの説明: [属性のローカル名。]。
     *
     * @param argName フィールド[name]に設定する値。
     */
    public void setName(final String argName) {
        fName = argName;
    }

    /**
     * フィールド [name] の値を取得します。
     *
     * フィールドの説明: [属性のローカル名。]。
     *
     * @return フィールド[name]から取得した値。
     */
    public String getName() {
        return fName;
    }

    /**
     * フィールド [value] の値を設定します。
     *
     * フィールドの説明: [属性の値。]。
     *
     * @param argValue フィールド[value]に設定する値。
     */
    public void setValue(final String argValue) {
        fValue = argValue;
    }

    /**
     * フィールド [value] の値を取得します。
     *
     * フィールドの説明: [属性の値。]。
     *
     * @return フィールド[value]から取得した値。
     */
    public String getValue() {
        return fValue;
    }

    /**
     * フィールド [quote] の値を設定します。
     *
     * フィールドの説明: [0:なし、1:シングルクオート、2:ダブルクオート]。
     *
     * @param argQuote フィールド[quote]に設定する値。
     */
    public void setQuote(final int argQuote) {
        fQuote = argQuote;
    }

    /**
     * フィールド [quote] の値を取得します。
     *
     * フィールドの説明: [0:なし、1:シングルクオート、2:ダブルクオート]。
     * デフォルト: [2]。
     *
     * @return フィールド[quote]から取得した値。
     */
    public int getQuote() {
        return fQuote;
    }

    /**
     * このバリューオブジェクトの文字列表現を取得します。
     *
     * <P>使用上の注意</P>
     * <UL>
     * <LI>オブジェクトのシャロー範囲のみ文字列化の処理対象となります。
     * <LI>オブジェクトが循環参照している場合には、このメソッドは使わないでください。
     * </UL>
     *
     * @return バリューオブジェクトの文字列表現。
     */
    @Override
    public String toString() {
        final StringBuffer buf = new StringBuffer();
        buf.append("blanco.html.parser.valueobject.BlancoHtmlAttribute[");
        buf.append("name=" + fName);
        buf.append(",value=" + fValue);
        buf.append(",quote=" + fQuote);
        buf.append("]");
        return buf.toString();
    }
}
